package org.vrablik.test.infinispan.embedded;

import java.io.InputStream;

import org.infinispan.Cache;
import org.infinispan.config.Configuration;
import org.infinispan.manager.DefaultCacheManager;
import org.infinispan.manager.EmbeddedCacheManager;

public class EmbeddedApp2 {
  public static void main(String args[]) throws Exception {
    InputStream xmlInputStream = EmbeddedApp2.class.getResourceAsStream("infinispanEmbedded2.xml");
    EmbeddedCacheManager manager = new DefaultCacheManager(xmlInputStream, true);
    Configuration configuration = new Configuration();
    configuration.setEvictionStrategy("LRU");
    configuration.setEvictionMaxEntries(10);
    
    Cache<?, ?> c = manager.getCache("custom-cache");
    }

}
